/* #region @keyframes */
@keyframes slideDown {
	from {
		opacity: 0;
		translate: 0 -16px;
	}

	to {
		opacity: 1;
		translate: 0 0;
	}
}

/* #endregion */
/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}
}

/* #endregion */
/* #region Elements */
@view-transition {
	navigation: auto;
}

*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--blue600);
	transition: var(--transition);

	&:hover {
		color: var(--blue700);
	}
}

body {
	color: var(--grey900);
	font-family: var(--font-sans);
	font-size: var(--fz18);
}

button {
	background: none;
	border: none;
	cursor: pointer;
}

h1, h2, h3 {
	line-height: 1.2;
	margin-bottom: var(--px08);
	text-wrap: balance;
}

hr {
	border: 0;
	border-top: var(--px01) solid var(--grey100);
	margin-block: var(--px48);
}

html {
	scroll-behavior: smooth;
	scrollbar-gutter: stable;

	&:has(.nav-contain.open) {
		overflow: hidden;
	}
}

img {
	display: block;
	max-width: 100%;
}

li {
	margin: 0 0 var(--px12) var(--px24);
}

p {
	line-height: 1.7;
	margin-bottom: .8lh;
	text-wrap: pretty;
}

/* #endregion */
/* #region Global */
.block-link {
	display: block;
	margin-bottom: var(--px16);
	width: fit-content;
}

.btn {
	background-color: var(--blue500);
	border-radius: var(--radius);
	color: white !important;
	cursor: pointer;
	display: inline-block;
	font-size: var(--fz14);
	font-weight: 700;
	letter-spacing: var(--px02);
	padding: var(--px16) var(--px24);
	text-align: center;
	text-decoration: none !important;
	text-transform: uppercase;
	transition: var(--transition);

	&:hover {
		background-color: var(--blue700);
		color: white;
		translate: 0 -2px;
	}
}

.content {
	margin-inline: auto;
	width: min(90%, var(--content-max-width, 1200px));
}

.float {
	border-radius: var(--radius-lg);
	float: right;
	margin: 0 0 var(--px32) var(--px64);

	@media (width < 1000px) {
		float: none;
		margin-left: 0;
	}
}

.new {
	&::after {
		background-color: honeydew;
		color: green;
		content: "New";
		font-size: var(--fz12);
		font-weight: 700;
		margin-left: var(--px02);
		padding: var(--px02);
		text-transform: uppercase;
		vertical-align: super;
	}
}

.no-bullets {
	list-style: none;

	li {
		margin-left: var(--px08);
	}
}

/* #endregion */
/* #region Nav */
.nav-contain {
	--inside-dropdown-font-size: var(--fz16);
	--inside-dropdown-font-weight: 600;
	--main-nav-font-size: var(--fz18);
	--main-nav-font-weight: 700;
	justify-self: end;

	@media (width < 1200px) {
		--inside-dropdown-font-size: var(--fz20);
		--main-nav-font-size: var(--fz24);
		align-content: start;
		background-color: var(--blue900-95);
		display: grid;
		height: 100vh;
		inset: 0;
		justify-content: center;
		opacity: 0;
		padding: 10vh var(--px40) var(--px40);
		pointer-events: none;
		position: fixed;
		transition: var(--transition);
		width: 100vw;

		&.open {
			opacity: 1;
			pointer-events: auto;
		}
	}

	> a {
		color: var(--grey800);
		display: inline-block;
		font-size: var(--main-nav-font-size);
		font-weight: var(--main-nav-font-weight);
		margin-left: var(--px24);
		text-decoration: none;
		transition: var(--transition);

		@media (width < 1200px) {
			color: white;
			display: block;
			margin: 0 0 var(--px32);
			padding: 0;

			&:hover {
				color: white;
			}
		}

		&:hover {
			color: var(--blue500);
		}
	}
}

.nav-item-dropdown {
	display: inline-block;
	margin-left: var(--px24);
	padding-bottom: var(--px08);
	position: relative;

	@media (width < 1200px) {
		display: block;
		margin: 0 0 var(--px16);
		padding: 0;
	}

	&:hover .nav-item-dropdown-menu,
	&:focus-within .nav-item-dropdown-menu {
		animation: slideDown .3s ease-out;
		opacity: 1;
		pointer-events: auto;
		visibility: visible;

		@media (width < 1200px) {
			animation: none;
		}
	}
}

.nav-item-dropdown-menu {
	background-color: white;
	border-radius: var(--radius);
	box-shadow: 0 var(--px04) var(--px20) hsl(0 0 0 / .1);
	left: 0;
	min-width: 200px;
	opacity: 0;
	overflow: hidden;
	padding: var(--px08) 0 0;
	pointer-events: none;
	position: absolute;
	top: 100%;
	transition: var(--transition);
	visibility: hidden;

	@media (width < 1200px) {
		background: none;
		box-shadow: none;
		opacity: 1;
		padding-left: var(--px16);
		position: static;
		visibility: visible;
	}

	.nav-contain.open & {
		@media (width < 1200px) {
			pointer-events: auto;
		}
	}

	a {
		color: var(--grey800);
		display: block;
		font-size: var(--inside-dropdown-font-size);
		font-weight: var(--inside-dropdown-font-weight);
		padding: var(--px12) var(--px20);
		text-decoration: none;
		transition: var(--transition);

		&:hover {
			background-color: var(--blue050);
			color: var(--blue500);
		}

		@media (width < 1200px) {
			color: white;
			padding: var(--px08) 0;

			&:hover {
				background-color: transparent;
				color: white;
			}
		}
	}
}

.nav-item-has-dropdown {
	color: var(--grey800);
	font-size: var(--main-nav-font-size);
	font-weight: 700;
	text-decoration: none;
	transition: var(--transition);

	@media (width < 1200px) {
		color: white;
	}

	&:hover {
		color: var(--blue500);

		@media (width < 1200px) {
			color: white;
		}
	}

	i {
		display: inline-block;
		font-size: var(--fz14);
		font-weight: var(--main-nav-font-weight);
		/* Width added to prevent layout shift: reserves space for icon */
		width: var(--px16);
	}
}

.nav-toggle {
	color: var(--grey800);
	display: none;
	font-size: var(--fz24);
	justify-self: end;
	padding: var(--px08);
	position: relative;
	z-index: 10;

	@media (width < 1200px) {
		display: block;
	}
}

/* Makes the close 'X' icon white; */
.header:has(.nav-contain.open) .nav-toggle {
	@media (width < 1200px) {
		color: white;
	}
}

/* #endregion */
/* #region Header */
.header {
	background-color: white;
	border-bottom: var(--px02) solid var(--grey100);
	padding: var(--px16) 0;
	position: fixed;
	top: 0;
	width: 100%;
	z-index: 10;

	.content {
		align-items: center;
		display: grid;
		grid-template-columns: auto 1fr;
	}
}

.logo {
	display: inline-block;

	img {
		display: inline-block;
		transition: var(--transition);
		width: 200px;
	}

	&.scrolled img {
		width: 150px;
	}

	@media (width < 1200px) {
		img {
			width: 150px;
		}
	}

	@media (width < 500px) {
		img {
			width: 100px;
		}
	}
}

/* #endregion */
/* #region Footer */
.footer {
	background: linear-gradient(var(--blue900), var(--blue950));
	color: var(--white-80);
	padding-block: var(--px64) var(--px80);
}

.footer-grid {
	display: grid;
	font-size: var(--fz18);
	gap: 8vw;
	grid-template-columns: auto auto 1fr;
	justify-content: start;

	@media (width < 1000px) {
		gap: var(--px32);
		grid-template-columns: auto;
		justify-content: center;
		text-align: center;
	}

	.footer-awards {
		a {
			display: block;
			margin-left: auto;
			width: fit-content;

			@media (width < 1000px) {
				margin-inline: auto;
			}
		}
	}

	.footer-logo {
		img {
			margin-bottom: var(--px16);
			max-width: 130px;

			@media (width < 1000px) {
				margin-inline: auto;
			}
		}

		p {
			font-size: var(--fz16);
			max-width: 45ch;
		}
	}

	.footer-nav {
		a {
			color: var(--blue200);
			display: block;
			font-size: var(--fz16);
			margin-bottom: var(--px16);
			text-decoration: none;
			transition: var(--transition);
			width: fit-content;

			@media (width < 1000px) {
				margin-inline: auto;
			}

			&:hover {
				color: white;
			}
		}
	}
}

/* #endregion */
/* #region Hero */
.hero {
	background: url("https://ripcord.sirv.com/NEFP/hero.jpg") center/cover no-repeat;
	color: white;
	display: grid;
	padding-block: 40vh;
	place-items: center;
	position: relative;
	text-align: center;

	@media (width < 1200px) {
		padding-block: 20vh;
	}

	@media (width < 500px) {
		padding-block: 30vh 20vh;
	}

	&::before {
		background: linear-gradient(var(--blue950-50));
		content: "";
		inset: 0;
		position: absolute;
	}

	.btn {
		animation: slideDown 1s both 1s;
	}

	h1 {
		animation: slideDown 2s both;
		color: white;
		font-size: var(--fz60);
		margin-bottom: var(--px32);

		@media (width < 500px) {
			font-size: var(--fz32);
		}
	}
}

/* #endregion */
/* #region Home-About */
.home-about {
	background-color: white;
	padding-block: var(--px80);

	.home-about-grid {
		align-items: center;
		display: grid;
		gap: var(--px64);
		grid-template-columns: 1fr auto;

		@media (width < 900px) {
			grid-template-columns: 1fr;
			text-align: center;
		}

		.home-about-links {
			align-items: center;
			display: flex;
			flex-wrap: wrap;
			gap: var(--px24);
			margin-top: var(--px24);

			@media (width < 900px) {
				justify-content: center;
			}
		}

		a:not(.btn-ghost) {
			display: inline-block;
			font-size: var(--fz14);
			font-weight: 800;
			letter-spacing: var(--px01);
			text-transform: uppercase;
		}

		img {
			max-width: 200px;

			@media (width < 900px) {
				margin: 0 auto;
			}
		}
	}
}

/* #endregion */
/* #region Home-Ecker */
.home-ecker {
	background: radial-gradient(white 30%, var(--white-80)), url("https://ripcord.sirv.com/NEFP/con-art-rainbow-shapes.jpg") center/cover no-repeat;
	padding-block: var(--px128);
	position: relative;
	text-align: center;

	h2 {
		font-size: var(--fz36);
	}

	h3 {
		font-size: var(--fz24);
	}

	p {
		margin: 0 auto var(--px48);
		max-width: 900px;
		text-align: left;
	}
}

.home-ecker-grid {
	display: grid;
	gap: var(--px80);
	grid-template-columns: repeat(3, auto);
	justify-content: center;
	margin: var(--px48) auto;

	@media (width < 900px) {
		grid-template-columns: auto;
	}

	> a {
		cursor: pointer;
		display: block;
		text-align: center;
		text-decoration: none;
		transition: var(--transition);

		&:hover {
			img {
				scale: 1.06;
			}
		}

		img {
			height: 100%;
			object-fit: cover;
			transition: scale var(--transition);
			width: 100%;
		}

		h4 {
			font-size: var(--fz20);
			text-decoration: none;
		}

		.image-wrapper {
			aspect-ratio: 1;
			border: var(--px04) solid var(--grey200);
			border-radius: 50%;
			margin: 0 auto var(--px16);
			overflow: hidden;
			transition: var(--transition);
			width: 250px;

			@media (width < 500px) {
				width: 200px;
			}

			&:hover {
				border-color: var(--blue600);
			}
		}
	}
}

/* #endregion */
/* #region Home-Grant */
.home-grant {
	background-color: white;
	padding-block: var(--px80);
	text-align: center;

	h2 {
		font-size: var(--fz36);
	}
}

.grant-grid {
	display: grid;
	gap: var(--px32);
	grid-template-columns: repeat(4, 1fr);
	margin-block: var(--px48);

	@media (width < 1100px) {
		grid-template-columns: 1fr 1fr;
	}

	@media (width < 600px) {
		grid-template-columns: auto;
	}

	a {
		background-color: var(--blue050);
		border-radius: var(--radius-lg);
		color: var(--grey500);
		overflow: hidden;
		text-align: center;
		text-decoration: none;
		transition: var(--transition);

		&:hover {
			background-color: var(--blue100);
			color: var(--blue600);
			translate: 0 -4px;
		}

		img {
			height: 200px;
			object-fit: cover;
			width: 100%;
		}

		h4 {
			font-size: var(--fz16);
			padding: var(--px24);
		}
	}
}

/* #endregion */
/* #region Sub */
.sub {
	min-height: 40vh;
	padding-block: var(--px64);

	h1 {
		font-size: var(--fz36);
		max-width: 40ch;
	}

	iframe {
		border: none;
		height: 600px;
		margin-top: var(--px16);
		width: 100%;
	}
}

.subhero {
	background: linear-gradient(var(--blue900), var(--blue900-60)), var(--subhero-bg) center 20%/cover no-repeat;
	padding: 20vh 2vw 10vh;

	div {
		color: white;
		font-size: var(--fz32);
		font-weight: 700;
		letter-spacing: var(--px12);
		text-align: center;
		text-transform: uppercase;

		@media (width < 500px) {
			font-size: var(--fz24);
		}
	}

	&.about {
		--subhero-bg: url("https://ripcord.sirv.com/NEFP/con-art-rainbow-balls.jpg?blur=6");
	}

	&.article-sondheim {
		--subhero-bg: url("https://ripcord.sirv.com/NEFP/empty-stage.jpg");
		background: linear-gradient(var(--blue900), var(--blue950-50)), var(--subhero-bg) center 20%/cover no-repeat;
	}

	&.contact {
		--subhero-bg: url("https://ripcord.sirv.com/NEFP/con-art-multi-circles.jpg?blur=6");
	}

	&.ecker {
		--subhero-bg: url("https://ripcord.sirv.com/NEFP/con-art-rainbow-shapes.jpg?blur=6");
	}

	&.grant {
		--subhero-bg: url("https://ripcord.sirv.com/NEFP/con-art-blue-web.jpg?blur=6");
	}
}

/* #endregion */
/* #region Sub-Ecker */
.sub-ecker-grid {
	display: grid;
	gap: var(--px64) var(--px48);
	grid-template-columns: repeat(3, 1fr);
	margin-top: var(--px48);

	@media (width < 1100px) {
		grid-template-columns: auto;
	}

	article {
		scroll-margin-top: var(--px160);
	}

	h2 {
		font-size: var(--fz24);
		text-align: center;
	}

	img {
		aspect-ratio: 1;
		border-radius: 50%;
		margin: 0 auto var(--px16);
		object-fit: cover;
		width: 250px;
	}
}

/* #endregion */
/* #region Sub-Grant */
.grant-recipients {
	background-color: var(--blue050);
	border-radius: var(--radius-lg);
	margin-block: var(--px48);
	padding: var(--px40);
	width: fit-content;

	h2 {
		font-size: var(--fz20);
		margin-bottom: var(--px24);

		a {
			text-decoration: none;
		}
	}

	.grid {
		display: grid;

		a {
			font-size: var(--fz16);
			margin-bottom: var(--px12);
		}
	}
}

/* #endregion */